{
  "schema_version": "1.4.0",
  "id": "GHSA-qpvq-h769-rrw8",
  "modified": "2022-05-02T06:09:49Z",
  "published": "2022-05-02T06:09:49Z",
  "aliases": [
    "CVE-2010-0040"
  ],
  "details": "Integer overflow in ColorSync in Apple Safari before 4.0.5 on Windows, and iTunes before 9.1, allows remote attackers to execute arbitrary code or cause a denial of service (application crash) via an image with a crafted color profile that triggers a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2010-0040"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/56826"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A6741"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce/2010//Mar/msg00003.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce/2010/Mar/msg00000.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/39135"
    },
    {
      "type": "WEB",
      "url": "http://support.apple.com/kb/HT4070"
    },
    {
      "type": "WEB",
      "url": "http://support.apple.com/kb/HT4105"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/38671"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/38674"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1023706"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2010-03-15T13:28:00Z"
  }
}